<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{69591241-8046-4FD6-92AF-AA5E514B2AFE}</ProjectGuid>
    <RootNamespace>TradeServer</RootNamespace>
    <Keyword>Win32Proj</Keyword>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>NotSet</CharacterSet>
    <CLRSupport>true</CLRSupport>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
    <CLRSupport>true</CLRSupport>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
    <CLRSupport>true</CLRSupport>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
    <CLRSupport>true</CLRSupport>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>16.0.29511.113</_ProjectFileVersion>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <OutDir>../../../server/</OutDir>
    <IntDir>../../build/$(Platform)/$(ProjectName)/$(Configuration)/</IntDir>
    <LinkIncremental>true</LinkIncremental>
    <EnableManagedIncrementalBuild>false</EnableManagedIncrementalBuild>
    <TargetName>$(ProjectName)_D</TargetName>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <IntDir>../../build/$(Platform)/$(ProjectName)/$(Configuration)/</IntDir>
    <LinkIncremental>true</LinkIncremental>
    <EnableManagedIncrementalBuild>false</EnableManagedIncrementalBuild>
    <TargetName>$(ProjectName)_D</TargetName>
    <OutDir>../../../server/</OutDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <OutDir>../../../server/</OutDir>
    <IntDir>../../build/$(Platform)/$(ProjectName)/$(Configuration)/</IntDir>
    <LinkIncremental>false</LinkIncremental>
    <EnableManagedIncrementalBuild>false</EnableManagedIncrementalBuild>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <IntDir>../../build/$(Platform)/$(ProjectName)/$(Configuration)/</IntDir>
    <LinkIncremental>false</LinkIncremental>
    <EnableManagedIncrementalBuild>false</EnableManagedIncrementalBuild>
    <OutDir>../../../server/</OutDir>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>..\..\inc\$(ProjectName);..\..\inc\InfoNet;..\..\inc\EncLib;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>false</MinimalRebuild>
      <BasicRuntimeChecks>Default</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <PrecompiledHeader />
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>None</DebugInformationFormat>
      <MultiProcessorCompilation>false</MultiProcessorCompilation>
      <AdditionalOptions>/Zc:twoPhase- %(AdditionalOptions)</AdditionalOptions>
      <LanguageStandard>stdcpp14</LanguageStandard>
    </ClCompile>
    <Link>
      <OutputFile>$(OutDir)$(TargetName)$(TargetExt)</OutputFile>
      <AdditionalLibraryDirectories>..\..\lib\$(Platform)\InfoNet;..\..\lib\$(Platform)\EncLib;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
      <IgnoreSpecificDefaultLibraries>LIBCMT.lib;libdbc.lib;msvctr.lib%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AssemblyDebug>true</AssemblyDebug>
      <ProgramDatabaseFile>$(OutDir)TradeServer_d.pdb</ProgramDatabaseFile>
      <SubSystem>Console</SubSystem>
      <TargetMachine>MachineX86</TargetMachine>
      <AdditionalDependencies>kernel32.lib;user32.lib;gdi32.lib;winspool.lib;comdlg32.lib;advapi32.lib;shell32.lib;ole32.lib;oleaut32.lib;uuid.lib;odbc32.lib;odbccp32.lib;EncLibD.lib;InfoNetDynamicD.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>..\..\inc\$(ProjectName);..\..\inc\InfoNet;..\..\inc\EncLib;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN64;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>false</MinimalRebuild>
      <BasicRuntimeChecks>Default</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>None</DebugInformationFormat>
      <MultiProcessorCompilation>false</MultiProcessorCompilation>
      <LanguageStandard>stdcpp14</LanguageStandard>
      <AdditionalOptions>/Zc:twoPhase- %(AdditionalOptions)</AdditionalOptions>
    </ClCompile>
    <Link>
      <OutputFile>$(OutDir)$(TargetName)$(TargetExt)</OutputFile>
      <AdditionalLibraryDirectories>..\..\lib\$(Platform)\InfoNet;..\..\lib\$(Platform)\EncLib;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
      <IgnoreSpecificDefaultLibraries>LIBCMT.lib;libdbc.lib;msvctr.lib%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AssemblyDebug>true</AssemblyDebug>
      <ProgramDatabaseFile>$(OutDir)TradeServer_d.pdb</ProgramDatabaseFile>
      <SubSystem>Console</SubSystem>
      <AdditionalDependencies>kernel32.lib;user32.lib;gdi32.lib;winspool.lib;comdlg32.lib;advapi32.lib;shell32.lib;ole32.lib;oleaut32.lib;uuid.lib;odbc32.lib;odbccp32.lib;EncLibD.lib;InfoNetDynamicD.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <AdditionalIncludeDirectories>..\..\inc\$(ProjectName);..\..\inc\InfoNet;..\..\inc\EncLib;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <PrecompiledHeader />
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>None</DebugInformationFormat>
      <MultiProcessorCompilation>false</MultiProcessorCompilation>
      <AdditionalOptions>/Zc:twoPhase- %(AdditionalOptions)</AdditionalOptions>
      <LanguageStandard>stdcpp14</LanguageStandard>
    </ClCompile>
    <Link>
      <OutputFile>$(OutDir)$(TargetName)$(TargetExt)</OutputFile>
      <AdditionalLibraryDirectories>..\..\lib\$(Platform)\InfoNet;..\..\lib\$(Platform)\EncLib;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
      <IgnoreSpecificDefaultLibraries>LIBCMT.lib;LIBDBC.lib;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Console</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <TargetMachine>MachineX86</TargetMachine>
      <AdditionalDependencies>kernel32.lib;user32.lib;gdi32.lib;winspool.lib;comdlg32.lib;advapi32.lib;shell32.lib;ole32.lib;oleaut32.lib;uuid.lib;odbc32.lib;odbccp32.lib;EncLib.lib;InfoNetDynamic.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <AdditionalIncludeDirectories>..\..\inc\$(ProjectName);..\..\inc\InfoNet;..\..\inc\EncLib;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN64;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>None</DebugInformationFormat>
      <MultiProcessorCompilation>false</MultiProcessorCompilation>
      <LanguageStandard>stdcpp14</LanguageStandard>
      <AdditionalOptions>/Zc:twoPhase- %(AdditionalOptions)</AdditionalOptions>
    </ClCompile>
    <Link>
      <OutputFile>$(OutDir)$(TargetName)$(TargetExt)</OutputFile>
      <AdditionalLibraryDirectories>..\..\lib\$(Platform)\InfoNet;..\..\lib\$(Platform)\EncLib;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
      <IgnoreSpecificDefaultLibraries>LIBCMT.lib;LIBDBC.lib;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Console</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <AdditionalDependencies>kernel32.lib;user32.lib;gdi32.lib;winspool.lib;comdlg32.lib;advapi32.lib;shell32.lib;ole32.lib;oleaut32.lib;uuid.lib;odbc32.lib;odbccp32.lib;EncLib.lib;InfoNetDynamic.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include=".\ado.cpp" />
    <ClCompile Include=".\billing.cpp" />
    <ClCompile Include=".\DBLogic.cpp" />
    <ClCompile Include=".\INIStream.cpp" />
    <ClCompile Include=".\iocp.cpp" />
    <ClCompile Include=".\lock.cpp" />
    <ClCompile Include=".\logthread.cpp" />
    <ClCompile Include=".\mailthread.cpp" />
    <ClCompile Include=".\main.cpp" />
    <ClCompile Include=".\MainLogic.cpp" />
    <ClCompile Include=".\managethread.cpp" />
    <ClCompile Include=".\msgqueue.cpp" />
    <ClCompile Include=".\MyComboBox.cpp" />
    <ClCompile Include=".\MyListView.cpp" />
    <ClCompile Include=".\netthread.cpp" />
    <ClCompile Include=".\socket2.cpp" />
    <ClCompile Include=".\storethread.cpp" />
    <ClCompile Include=".\thread.cpp" />
    <ClCompile Include=".\VisualWindow.cpp" />
    <ClCompile Include=".\WebServiceThread.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\..\inc\$(ProjectName)\ado.h" />
    <ClInclude Include="..\..\inc\$(ProjectName)\billing.h" />
    <ClInclude Include="..\..\inc\$(ProjectName)\BillInterface.h" />
    <ClInclude Include="..\..\inc\$(ProjectName)\datatype.h" />
    <ClInclude Include="..\..\inc\$(ProjectName)\DBLogic.h" />
    <ClInclude Include="..\..\inc\$(ProjectName)\infotype.h" />
    <ClInclude Include="..\..\inc\$(ProjectName)\INIStream.h" />
    <ClInclude Include="..\..\inc\$(ProjectName)\iocp.h" />
    <ClInclude Include="..\..\inc\$(ProjectName)\lock.h" />
    <ClInclude Include="..\..\inc\$(ProjectName)\logthread.h" />
    <ClInclude Include="..\..\inc\$(ProjectName)\mailthread.h" />
    <ClInclude Include="..\..\inc\$(ProjectName)\managethread.h" />
    <ClInclude Include="..\..\inc\$(ProjectName)\msgqueue.h" />
    <ClInclude Include="..\..\inc\$(ProjectName)\MyComboBox.h" />
    <ClInclude Include="..\..\inc\$(ProjectName)\MyListView.h" />
    <ClInclude Include="..\..\inc\$(ProjectName)\netthread.h" />
    <ClInclude Include=".\resource.h" />
    <ClInclude Include="..\..\inc\$(ProjectName)\socket2.h" />
    <ClInclude Include="..\..\inc\$(ProjectName)\storethread.h" />
    <ClInclude Include="..\..\inc\$(ProjectName)\thread.h" />
    <ClInclude Include="..\..\inc\$(ProjectName)\WebServiceThread.h" />
    <ClInclude Include="..\..\inc\$(ProjectName)\Moliyo.h" />
    <ClInclude Include="..\..\inc\$(ProjectName)\WebService.h" />
  </ItemGroup>
  <ItemGroup>
    <CustomBuild Include="..\..\inc\$(ProjectName)\Moliyo\RDBilling.disco" />
    <CustomBuild Include="..\..\inc\$(ProjectName)\Moliyo\RDBilling.wsdl" />
    <CustomBuild Include="..\..\inc\$(ProjectName)\Moliyo\results.discomap" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include=".\TradeServer.rc" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>